> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List audit evidence url

> Returns a paginated list of evidence urls for an audit. This endpoint should be called whenever an
evidence is created or has a statusUpdatedAt field that is more recent than the most recent polling event.

Evidence must be in one of the following states to retrieve URLs: "Ready for audit", "Accepted", "Flagged", or "NA".

Rate limit: 600 requests / minute.



## OpenAPI

````yaml https://spec.speakeasy.com/vanta/vanta/conduct-an-audit-with-code-samples get /audits/{auditId}/evidence/{auditEvidenceId}/urls
openapi: 3.0.0
info:
  title: Conduct an audit
  version: 1.0.0
  description: >-
    The Auditor API lets audit firms conduct audits from a tool outside of
    Vanta. Unlock data syncing with Vanta through this API.


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /audits/{auditId}/evidence/{auditEvidenceId}/urls:
    get:
      tags:
        - Audits
      summary: List audit evidence url
      description: >-
        Returns a paginated list of evidence urls for an audit. This endpoint
        should be called whenever an

        evidence is created or has a statusUpdatedAt field that is more recent
        than the most recent polling event.


        Evidence must be in one of the following states to retrieve URLs: "Ready
        for audit", "Accepted", "Flagged", or "NA".


        Rate limit: 600 requests / minute.
      operationId: ListAuditEvidenceUrls
      parameters:
        - in: path
          name: auditId
          required: true
          schema:
            type: string
        - in: path
          name: auditEvidenceId
          required: true
          schema:
            type: string
        - in: query
          name: pageSize
          required: false
          schema:
            $ref: '#/components/schemas/PageSize'
        - in: query
          name: pageCursor
          required: false
          schema:
            $ref: '#/components/schemas/PageCursor'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_EvidenceUrl_'
              examples:
                Example 1:
                  value:
                    results:
                      data:
                        - id: NjVmYzgxYTMzNTljODUwOGM5YWY4ODBm
                          url: >-
                            https://s3.amazonaws.com/audit-evidence/2022/audit.pdf?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=secret%2Fus-east-1%2Fs3%2Faws4_request&X-Amz-Date=20221104T140227Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=b228dbec8c1008c80c162e1210e4503dceead1e4d4751b4d9787314fd6da4d55
                          filename: example.jpg
                          isDownloadable: true
                          mimeType: image/jpeg
                      pageInfo:
                        hasNextPage: false
                        hasPreviousPage: false
                        startCursor: YXJyYXljb25uZWN0aW9uOjA=
                        endCursor: YXJyYXljb25uZWN0aW9uOjE=
                      totalCount: 1
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: typescript
          label: ListAuditEvidenceUrls
          source: |-
            import { Vanta } from "vanta-auditor-api-sdk";

            const vanta = new Vanta({
              bearerAuth: process.env["VANTA_BEARER_AUTH"] ?? "",
            });

            async function run() {
              const result = await vanta.audits.getEvidenceUrls({
                auditId: "<id>",
                auditEvidenceId: "<id>",
              });

              console.log(result);
            }

            run();
        - lang: java
          label: ListAuditEvidenceUrls
          source: >-
            package hello.world;


            import com.vanta.vanta_auditor_api.Vanta;

            import
            com.vanta.vanta_auditor_api.models.operations.ListAuditEvidenceUrlsResponse;

            import java.lang.Exception;


            public class Application {

                public static void main(String[] args) throws Exception {

                    Vanta sdk = Vanta.builder()
                            .bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
                        .build();

                    ListAuditEvidenceUrlsResponse res = sdk.audits().getEvidenceUrls()
                            .auditId("<id>")
                            .auditEvidenceId("<id>")
                            .pageSize(10)
                            .call();

                    if (res.paginatedResponseEvidenceUrl().isPresent()) {
                        System.out.println(res.paginatedResponseEvidenceUrl().get());
                    }
                }
            }
components:
  schemas:
    PageSize:
      type: integer
      format: int32
      default: 10
      description: >-
        Controls the maximum number of items returned in one response from the
        API.
      minimum: 1
      maximum: 100
    PageCursor:
      type: string
      description: >-
        A marker or pointer, telling the API where to start fetching items for
        the subsequent page in a paginated dataset.

        Note that the requested page will not include the item that corresponds
        to this cursor but will start from the one immediately

        after this cursor.
    PaginatedResponse_EvidenceUrl_:
      properties:
        results:
          properties:
            data:
              items:
                $ref: '#/components/schemas/EvidenceUrl'
              type: array
            pageInfo:
              $ref: '#/components/schemas/PageInfo'
          required:
            - data
            - pageInfo
          type: object
      required:
        - results
      type: object
      additionalProperties: false
    EvidenceUrl:
      properties:
        id:
          type: string
          description: Vanta internal reference to evidence
        url:
          type: string
          description: Pre-signed S3 URL for evidence
        filename:
          type: string
          description: File name of evidence
        isDownloadable:
          type: boolean
          description: >-
            Set to true if this is a presigned s3 url. Set to false if this is a
            customer uploaded link
        mimeType:
          type: string
          nullable: true
          description: >-
            MIME type of the evidence file (e.g., "application/pdf",
            "image/png")
      required:
        - id
        - url
        - filename
        - isDownloadable
        - mimeType
      type: object
      additionalProperties: false
    PageInfo:
      description: Provides information about the pagination of a dataset.
      properties:
        endCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the end of the current page, or null if
            there is no such cursor.
        hasNextPage:
          type: boolean
          description: Indicates if there is another page after the current page.
        hasPreviousPage:
          type: boolean
          description: Indicates if there is a page before the current page.
        startCursor:
          type: string
          nullable: true
          description: >-
            The cursor that points to the start of the current page, or null if
            there is no such cursor.
      required:
        - endCursor
        - hasNextPage
        - hasPreviousPage
        - startCursor
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````